<nz-layout>
  <nz-content class="no-margin">
    <div class="">
      <app-img-header></app-img-header>
    </div>
  </nz-content>
  <nz-layout>
    <nz-content>
      <div class="inner-content">
        <nz-input-group [nzSuffix]="suffixIconSearch">
          <input nzSize="large" type="text" nz-input placeholder="Quel type de cours/tuto recherchez-vous ?" />
        </nz-input-group>
        <ng-template #suffixIconSearch>
          <i nz-icon nzType="search"></i>
        </ng-template><br><br>

        <nz-row nzType="flex" nzJustify="end">
          <button [routerLink]="[ '/add-question' ]" nz-button nzType="primary"><i nz-icon
              nzType="file-add"></i>Proposer un cours/tuto</button>
        </nz-row><br>

        <div nz-row>
          <div nz-col [nzSpan]="10" class="center-mobile">
            <form nz-form [nzLayout]="'horizontal'">
              <nz-form-label class="only-mobile center-mobile" [nzSpan]="4">Technologie </nz-form-label>
              <nz-form-control [nzSpan]="16">
                <nz-select class="lang-select" nzAllowClear nzPlaceHolder="Choix techno">

                  <nz-option-group nzLabel="JavaScript">
                    <nz-option nzValue="Angular" nzLabel="Angular"></nz-option>
                    <nz-option nzValue="VueJS" nzLabel="VueJS"></nz-option>
                    <nz-option nzValue="React" nzLabel="React"></nz-option>
                    <nz-option nzValue="Js" nzLabel="Js"></nz-option>
                  </nz-option-group>
                  <nz-option-group nzLabel="PHP">
                    <nz-option nzValue="php7" nzLabel="Php 7"></nz-option>
                    <nz-option nzValue="Symfony" nzLabel="Symfony"></nz-option>
                    <nz-option nzValue="Laravel" nzLabel="Laravel"></nz-option>
                  </nz-option-group>
                  <nz-option-group nzLabel="CMS">
                    <nz-option nzValue="Prestashop" nzLabel="Prestashop"></nz-option>
                    <nz-option nzValue="Joomla" nzLabel="Joomla"></nz-option>
                    <nz-option nzValue="Wordpress" nzLabel="Wordpress"></nz-option>
                    <nz-option nzValue="Drupal" nzLabel="Drupal"></nz-option>
                    <nz-option nzValue="Magento" nzLabel="Magento"></nz-option>
                  </nz-option-group>
                  <nz-option-group nzLabel="Editeur">
                    <nz-option nzValue="Markdown" nzLabel="Markdown"></nz-option>
                    <nz-option nzValue="Asciidoc" nzLabel="AsciiDoc"></nz-option>
                  </nz-option-group>
                  <nz-option-group nzLabel="CSS">
                    <nz-option nzValue="Css" nzLabel="CSS"></nz-option>
                    <nz-option nzValue="Sass" nzLabel="Sass"></nz-option>
                  </nz-option-group>
                  <nz-option-group nzLabel="Application Mobile">
                    <nz-option nzValue="Ionic" nzLabel="Ionic"></nz-option>
                    <nz-option nzValue="Flutter" nzLabel="Flutter"></nz-option>
                    <nz-option nzValue="Reactnative" nzLabel="React Native"></nz-option>
                    <nz-option nzValue="Vuenative" nzLabel="Vue Native"></nz-option>
                  </nz-option-group>
                  <nz-option-group nzLabel="SQL">
                    <nz-option nzValue="Mysql" nzLabel="MySQL"></nz-option>
                    <nz-option nzValue="Mongodb" nzLabel="MongoDB"></nz-option>
                    <nz-option nzValue="psql" nzLabel="PostgreSQL"></nz-option>
                    <nz-option nzValue="oracle" nzLabel="Oracle SQL"></nz-option>
                  </nz-option-group>
                  <nz-option-group nzLabel="Python">
                    <nz-option nzValue="py2" nzLabel="Python 2"></nz-option>
                    <nz-option nzValue="py3" nzLabel="Python 3"></nz-option>
                  </nz-option-group>
                </nz-select>
              </nz-form-control>
            </form>
          </div>
          <div class="hidden-mobile" nz-col nzXs="24" nzSm="14" nzSm="14" nzJustify="end">
            <nz-radio-group class="tri" [ngModel]="'new'">
              <label nz-radio-button nzValue="new">Les plus récents</label>
              <label nz-radio-button nzValue="rate">Plus de vote </label>
              <label nz-radio-button nzValue="noreply">Sans réponse</label>
              <label nz-radio-button nzValue="rep">Plus de réponse</label>
            </nz-radio-group>
          </div>
        </div>

        <div nz-row>
          <div nz-col [nzSpan]="10" class="center-mobile">
            <form nz-form [nzLayout]="'horizontal'">
              <nz-form-label class="only-mobile center-mobile" [nzSpan]="4">Types </nz-form-label>
              <nz-form-control [nzSpan]="16">
                <nz-select class="lang-select" nzAllowClear nzPlaceHolder="Type">
                  <nz-option nzValue="all" nzLabel="Tous"></nz-option>
                  <nz-option nzValue="articles" nzLabel="Articles"></nz-option>
                  <nz-option nzValue="videos" nzLabel="Videos"></nz-option>
                </nz-select>
              </nz-form-control>
            </form>
          </div>
          <div class="only-mobile center-mobile">
            <nz-form-label class="center-mobile ptop1" [nzSpan]="4">Trier par </nz-form-label>
            <nz-form-control [nzSpan]="16">
              <nz-select class="tri-select" nzAllowClear nzPlaceHolder="Tri">
                <nz-option nzValue="new" nzLabel="Les plus récents"></nz-option>
                <nz-option nzValue="rate" nzLabel="Plus de vote"></nz-option>
                <nz-option nzValue="noreply" nzLabel="Sans réponse"></nz-option>
                <nz-option nzValue="rep" nzLabel="Plus de réponse"></nz-option>
              </nz-select>
            </nz-form-control>
          </div>
        </div>
        <br>

        <div nz-row>
          <div class="info2">
            <h1>Cours & Tutoriels</h1>
          </div>
          <div class="row">
            <div nz-row>
              <div *ngFor="let item of [1,2,3,4,5,6]" nz-col nzXs="24" nzSm="24" nzMd="12" nzLg="8"
                class="width-100 card-nb">
                <div class="example-1 card">
                  <div class="wrapper">
                    <div class="date">
                      <span class="day">25</span>
                      <span class="month">Jan.</span>
                      <span class="year">2020</span>
                    </div>
                    <div class="data">
                      <div class="content-tuto">
                        <span class="author">RIGUEUR Alex</span>
                        <h1 class="title"><a [routerLink]="[ '/tuto-subject' ]">TUTO JavaScript : Débutet le code en
                            JS</a></h1>
                        <p class="text">JavaScript (souvent abrégé en "JS") est un langage
                          de script, orienté objet, principalement utilisé comme le... 
                          <a class="button" [routerLink]="[ '/tuto-subject' ]">Lire plus</a>
                        </p>
                        <label for="show-menu" class="menu-button"><span></span></label>
                      </div>
                      <input type="checkbox" id="show-menu" />
                      <ul class="menu-content">
                        <li>
                          <a href="" class="fa fa-bookmark-o"></a>
                        </li>
                        <li><a href="" class="fa fa-heart-o"><span>47</span></a></li>
                        <li><a href="" class="fa fa-comment-o"><span>8</span></a></li>
                      </ul>
                    </div>
                  </div>
                </div>
              </div>
              <nz-pagination class="center" [nzPageIndex]="1" [nzTotal]="50"></nz-pagination>
            </div>
          </div>
        </div>
      </div>
    </nz-content>
  </nz-layout>
</nz-layout>